package org.lsst.gruth.grutils

/**
 *
 * @author bamade
 */
 // Date: 12/09/12
 
class PossibleConstructorOrSetterProblem extends GruException {
    String className
    def args

    PossibleConstructorOrSetterProblem(String mess, Throwable cause, String className, args) {
        super(mess, cause)
        this.className = className
        this.args = args
    }

    PossibleConstructorOrSetterProblem(String mess, Throwable cause, String className) {
        super(mess, cause)
        this.className = className
    }

    public String toString() {
        return super.toString() + " $className ${args? args: ''} "
    }
}
