package org.lsst.gruth

import org.lsst.gruth.grutils.AnnotatedReport
import org.lsst.gruth.grutils.SimpleResultFormatter

/**
 *a traces the content of Test reports in a serialized file.
 * This file must contain serialized instances of <TT>AnnotatedReport</TT>
 * @author bamade
 */
// Date: 29/08/12

String fileName = args[0]
FileInputStream is = new FileInputStream(fileName)
ObjectInputStream ois = new ObjectInputStream(new BufferedInputStream(is))
SimpleResultFormatter formatter = new SimpleResultFormatter()
try {
    while (true) {
        AnnotatedReport aReport = (AnnotatedReport) ois.readObject()
        println formatter.body(aReport.report)
    }
} catch (EOFException exc) {

}
