package org.lsst.gruth.types

import org.lsst.gruth.jutils.IncompatibleTypeException

/**
 *
 * @author bamade
 */
 // Date: 01/10/12
 
class GList extends ArrayList {
    GList(Collection col){
        super(col)
    }

    GList(Object... objs){
        this(Arrays.asList(objs))
    }

    GList() {

    }

    public static GList valueOf(String expr) {
        Object res = Eval.me(expr.trim()) ;
        if(res instanceof Collection) {
            return new GList(res as Collection)
        } else {
            throw new IncompatibleTypeException(GList, res.getClass())
        }
    }
}
