package org.lsst.gruth.jutils;

/**
 * @author bamade
 */
public class IncompatibleTypeException extends RuntimeException {
    public final Class left ;
    public final Class right ;

    public IncompatibleTypeException(Class left, Class right) {
        this.left = left;
        this.right = right;
    }

    public IncompatibleTypeException(String s, Class left, Class right) {
        super(s);
        this.left = left;
        this.right = right;
    }

    public String toString() {
        return super.toString() + " "
                + left.getSimpleName() + " <- "
            + right.getSimpleName() ;
    }
}
