package org.lsst.gruth.reports;

import org.lsst.gruth.grutils.AnnotatedReport;
import org.lsst.gruth.grutils.ResultReporter;

/**
 * @author bamade
 */
// Date: 30/08/12

public interface StoreAgent {
    public void setBundle(String bundleName) throws Exception ;
    public void setBundle(String bundleName, int version ) throws Exception ;
    public int getVersionNumberFor(String bundleName) ;
    public int getVersion() ;
    public String[] listBundles() ;
    public AnnotatedReport get(int index) ;
    public int size() ;
    public void set(int index, AnnotatedReport report) ;
    public void save() throws Exception;
    public void copyTo(ResultReporter reporter) ;
}
