package org.lsst.gruth.grutils

/**
 *
 * @author bamade
 *
 */
class GroupRun implements Runnable {
    String groupName;
    SpecType specType;
    Closure setUpCode;
    Closure tearDownCode;
    //TODO change to List of Report so that each TztRun can generate may reports
    List<TztRun> list = [];
    Binding _this
    boolean hasBeenRun
    boolean hasBeenReported

    void run() {
        //
        _run()
    }

    GroupRun _run() {
        _run(false)
    }

    GroupRun _run(boolean calledFromGroupMap) {
        if (!this.hasBeenRun) {
            // TODO: call setUpCode if error -> every test are in error
            list.each {
                it.run()
            }
            this.hasBeenRun = true
            // TODO call postCode code if error -> ??? log something
            if(tearDownCode != null) {
                tearDownCode.run()
            }
            //TODO change : distinguish execution from reporting
            if (!calledFromGroupMap) {
                def map = _this.groups
                // map[specType].remove(groupName)
            }
        }
        //TODO: if name is not anonymous register the created instances
        // do a _vars of these and create a dictionnary by that name
        // create a method _export so that the .gruh will be populated
        return this
    }


    GroupRun _report() {
        _report(null as String)
    }

    GroupRun _report(String bundleName) {
        if (this.hasBeenReported) return this
        List<TztReport> listRep = []
        list.each {
            listRep << it._report
        }
        ResultHandlers.handleReports(bundleName, listRep)
        this.hasBeenReported = true
        return this
    }

    GroupRun _runReport() {
        _run() _report()
    }
    GroupRun _runReport(String bundleName) {
        _run() _report(bundleName)
    }

    def runReportFromGroupMap() {
        _run(true) _report()
    }
    def runReportFromGroupMap(String bundleName) {
        _run(true) _report(bundleName)
    }

    GroupRun _export() {
        // todo: implement export
        return this
    }
    //todo: _export (expreg)

    GroupRun _fill(TaggedsMap map) {
        _run()

        list.each {
            TztReport report = it._report
            report._fill(map)
        }
        //@TODO: disconnect report
        //_report()
        return this
    }
}
