package org.lsst.gruth.grutils

import java.util.Map.Entry

/**
 *
 * @author bamade
 *
 */
class Gruse {

    Object base ;
/*
create a synchronized TIMING_OBJECT
for each method (map).
when method is first called this object is initialized
and passed to each FreeReport (in fact should be a TztRun).
this Object is used by method _timeReport(boolean, messageString) (returns ?)
 */
    public Gruse(Object base) {
        this.base = base
    }

    //@TODO: result should be a special TztRun! thus the delegate for _xpect could be the script itself!!!!
    // @TODO : beware of concurrency!
    public FreeReport _monitor(Map arg) {
        if(GruScript.running == null) {
            println "no running script"
            //impossible GruScript.running = new GruScript()
        } else {
            //superMethod.setDelegate(GruScript.running)
        }
        String className = base.class.superclass.simpleName


        Entry entry =  null
        for (Entry ent : arg.entrySet()) {
            entry = ent ;
        }
        if(entry == null) {
            //LOG
            FreeReport reportErr = new FreeReport(className, "<unknown method")
            reportErr.reportException(new RuntimeException("missing args"), RawDiagnostic.TOOL_OR_CODE_ERROR)
            return reportErr
        }
        String methodName = entry.key
        Closure closure = entry.value
        //System.out.println("method:" + methodName + "; className:" + className);
        FreeReport report = new FreeReport(className, methodName)
        //println 'FreeReport created'
        report.supportingObject = TaggedObject.tag(base)
        //@TODO: generate testname with a number

        // execution
        try {
                closure.call()
                report.data = result
                report.rawDiagnostic = RawDiagnostic.SUCCESS

            //println this._rootName + ' = ' + this._result
        } catch (GroovyRuntimeException grex) {
            //println 'GROOVY EXC'
            report.reportException(grex, RawDiagnostic.NOT_YET_IMPLEMENTED)
        } catch (Throwable th) {
            report.reportException(th, RawDiagnostic.FAILED)
            report.execException = th
        }
        //println report
        return report

    }

}
