package org.lsst.gruth.types

import org.lsst.gruth.jutils.IncompatibleTypeException

/**
 * utility class with just a valueOf method to evaluate groovy Arrays
 * @author bamade
 */
 // Date: 02/10/12
 
class GArray {

    public static Object valueOf(String strVal) {
        Object res = Eval.me(strVal)
        Class clazz = res.getClass()
        if(! clazz.isArray()) {
            throw new IncompatibleTypeException(GArray, clazz)
        }
        return res
    }

    static def conversionText =  [
            'I': ' as int',
            'B': ' as byte',
            'C': ' as char',
            'F': ' as float',
            'D': ' as double',
            'Z': ' as boolean'
    ]

    public static Object valueOf(String strVal, String className){
        String arg = strVal;
        //TODO use a matcher instead!!!
        if(! arg.contains("] as")){
            int dimension = className.lastIndexOf("[")+1
            String key = className.substring(dimension)
            String toAdd = conversionText.get(key)
            if(toAdd == null){// eg [Lpackage.class;
                toAdd = " as "+ key.substring(dimension, key.length()-1)

            }
            arg= arg + toAdd
            for(int ix=0; ix <dimension; ix++) {
                arg += "[]"
            }
        }
        return valueOf(arg) ;
    }
}
