package org.lsst.gruth.types

import org.lsst.gruth.jutils.IncompatibleTypeException

/**
 *
 * @author bamade
 */
 // Date: 11/10/12
 
class GStruct {
    /**
     * snag: you cannot have a struct object with a constructor
     * that takes a list!
     * @param clazz
     * @param list
     * @return
     */
    static Object valueOf(Class clazz, List list) {
        MetaClass meta = clazz.metaClass
        Closure ctorClos = meta.&invokeConstructor
        return ctorClos.call(list as Object[])

    }
    static Object valueOf(Class clazz, Map map) {
        //println "valueOF map : $map"
        MetaClass meta = clazz.metaClass
        Closure ctorClos = meta.&invokeConstructor
       Object res =  ctorClos.call(map)
        //println "valueof map res = $res"
        return res ;


    }

    public static Object valueOf(Class clazz, String string) {
        Object arg = Eval.me(string)
        if(arg instanceof List) {
            return valueOf(clazz, arg as List)
        }
        if(arg instanceof Map) {
            return valueOf(clazz, arg as Map)
        }
        throw new IncompatibleTypeException("list or map should be used only for",
                clazz, arg.getClass()
        )
    }
}
