package _dummies

/**
 *
 * @author bamade
 */
 // Date: 03/08/12
 
class DummyDouble_s {
    static def positives = [
            DBL_POS_NEUTRAL: 12.12 as double,
            DBL_POS_SMALL: 0.02 as double,
            DBL_POS_ZERO: 0 as double,
            DBL_POS_VERY_SMALL: 0.000000000037 as double,
            DBL_POS_BIG: 1273747576.46 as double,
            DBL_POS_VERY_BIG: 12345678973747576777879000.45 as double,
            // with prime values
            // with imprecise double values
    ]

    static def negatives = [
            DBL_NEG_NEUTRAL: -12.12 as double,
            DBL_NEG_SMALL: -0.02 as double,
            DBL_NEG_ZERO: -0 as double,
            DBL_NEG_VERY_SMALL: -0.000000000037 as double,
            DBL_NEG_BIG: -1273747576.46 as double,
            DBL_NEG_VERY_BIG: -12345678973747576777879000.45 as double,
            // with prime values
            // with imprecise double values
    ]

    static def special = [
            DBL_MAX_VALUE: Double.MAX_VALUE,
            DBL_MIN_NORMAL: Double.MIN_NORMAL,
            DBL_MIN_VALUE: Double.MIN_VALUE,
            DBL_NAN: Double.NaN,
            DBL_POSITIVE_INFINITY: Double.POSITIVE_INFINITY,
            DBL_NEGATIVE_INFINITY: Double.NEGATIVE_INFINITY,
            //TODO: check for values coming from floats ...

    ]

    static def angles = [
            ANGLE_NEUTRAL_POS: 25.80 as double,
            ANGLE_POSITIVE33: 33.33 as double,
            ANGLE_POSITIVE90: 90.0 as double,
            ANGLE_POSITIVE180: 180.0 as double,
            ANGLE_POSITIVE360: 360.0 as double,
            ANGLE_POSITIVE720: 720.0 as double,
            ANGLE_NEUTRAL_NEG: -25.80 as double,
            ANGLE_NEGATIVE33: -33.33 as double,
            ANGLE_NEGATIVE90: -90.0 as double,
            ANGLE_NEGATIVE180: -180.0 as double,
            ANGLE_NEGATIVE360: -360.0 as double,
            ANGLE_NEGATIVE720: -720.0 as double,

    ]
    /**
     * Renard's series R10 : http://en.wikipedia.org/wiki/Preferred_number
     */
    static def renardR10 = [
            DBL_RENARD_S0: 1.00 as double,
            DBL_RENARD_S1: 1.25 as double,
            DBL_RENARD_S2: 1.60 as double,
            DBL_RENARD_S3: 2.00 as double,
            DBL_RENARD_S4: 2.50 as double,
            DBL_RENARD_S5: 3.15 as double,
            DBL_RENARD_S6: 4.00 as double,
            DBL_RENARD_S7: 5.00 as double,
            DBL_RENARD_S8: 6.30 as double,
            DBL_RENARD_S9: 8.00 as double,
    ]


}
