package _dummies

/**
 *
 * @author bamade
 */
 // Date: 03/08/12
 
class DummyString_s {
    static def  floatingNumeric = [
            positives: [
                    STRDBL_POS_NEUTRAL_3: '12.129' ,
                    STRDBL_POS_NEUTRAL_2: '12.12' ,
                    STRDBL_POS_NEUTRAL_0: '12.' ,
                    STRDBL_POS_NEUTRAL_0_NO_DOT: '12' ,
                    STRDBL_POS_VERY_SMALL : '0.0000003' ,
                    STRDBL_POS_ZERO: '0.' ,
                    STRDBL_POS_ZERO_NO_DOT : '0' ,
            ] ,


            negatives: [
                    STRDBL_NEG_NEUTRAL_3: '-12.129' ,
                    STRDBL_NEG_NEUTRAL_2: '-12.12' ,
                    STRDBL_NEG_NEUTRAL_0: '-12' ,
                    STRDBL_NEG_VERY_SMALL : '-0.0000003' ,
                    STRDBL_NEG_ZERO: '-0.' ,
                    STRDBL_NEG_ZERO_NO_DOT : '-0' ,

            ] ,

            special : [
                    STRDBL_SPECIAL_EXPONENT: '10.29E66',
                    STRDBL_SPECIAL_SMALL_EXPONENT: '0.007E-133' ,
                    STRDBL_SPECIAL_MAX_DOUBLE: String.valueOf(Double.MAX_VALUE) ,
                    STRDBL_SPECIAL_MIN_NORMAL : String.valueOf(Double.MIN_NORMAL),
                    STRDBL_SPECIAL_MIN_VALUE : String.valueOf(Double.MIN_VALUE),
            ] ,

            failed : [
                    STRDBL_FAIL_COMMA: '10,69',
                    STRDBL_FAIL_SPACES:  '10 000.69' ,
                    STRDBL_FAIL_ANYTHING: 'ANY',
            ] ,
    ]

    static def plain = [

            //TODO: parameterize by evaluating a system property
            STR_NEUTRAL: 'hello',
            STR_SUPPER: 'HELLO',
            STR_CAMEL: 'HelloWorld' ,
            STR_UNDERSCORES: "hello_world" ,
            STR_SHORT_1:'h',
            STR_SHORT_UNDERSCORE:'_',
            STR_LONG: 'paradimethylaminobenzeneazobenzeneparasulfonatedesodium',
            //DAMN_LONG: 256 characters long
            STR_DAMN_LONG : "JAPRxmJajsBKbyTebnzHyICpcPVdPWDBagBjQeZedufWCLhGGNqMMvOfxSCgOrUigoOFsOzouIRYdgKZVhswJLpAwObgemb" +
                    "yMmTriAPmjwwnSkcNrVUgZlLDmLBGvrnnMdXMNeCBMuooZDlyNyZdwDapnEqDbGHBqYMdsIHmBWYfcrnUsAYGqGkqyyJUHXEYuAwxmtufvtOmMvoDwxfXqt" +
                    "uypNhpBZCIWHWFMybuJhsMNlPXIPKdwxJbXngevFRz"



    ]

    static def empties = [
            STR_EMPTY:'',
            STR_NULL_STRING: null as String ,
    ]

    //TODO: parameterize by evaluating  system properties
    static def strange = [
            STR_SPACES: 'hello world\ttab',
            STR_SPACES_AROUND: ' to be trimed ',
            STR_NEWLINE:'before\nafter',
            STR_COMMENT_LINE: '//comment' ,
            STR_C_COMMENT: '/*comment*/',
            STR_SH_COMMENT: '#comment',
            STR_QUOTE_1: 'h\'o\'p' ,
            STR_QUOTE_2: 'h"o"p' ,
            STR_C_ADDRESS: '&thing' ,
            STR_NO_ID_1: '++thing',
            STR_NO_ID_2: 'th+ing',
            STR_NO_ID_3: 'th%?-*ing',
            STR_AROBASE: '@thing',
            STR_BACKSLASH: 'he\\lo' ,
            STR_BACKSLASH_END: 'hello\\' ,

    ]
    //TODO: parameterize by evaluating  system properties
    static def paths = [
            PATH_RELATIVE: 'dir/file' ,
            PATH_RELATIVE_SLASH: 'dir/dir/' ,
            PATH_ABSOLUTE: '/top/file',
            PATH_ABSOLUTE_SLASH: '/top/dir/' ,
            PATH_UP: '../there' ,
            PATH_UP_IN_THE_MIDDLE: '/dir/../there'
    ]


    //TODO: complete
    static def i18n = [
            STR_ISO_8859_15: '' ,

    ]

    //TODO: regexp (in a different file)
}
